<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

  <!-- CaseName: numbering85 -->
  <!-- Author: Paul Dick -->
  <!-- Purpose: Test that value attribute gets rounded correctly w/various formats. -->
  <!-- SpecCitation: Rec="XSLT" Version="1.0" type="OASISptr1" place="id(number)/ulist[1]/item[1]/p[1]/text()[5]" -->
  <!-- SpecCitation: Rec="XSLT" Version="1.0" type="OASISptr1" place="id(number)/p[1]/text()[3]" -->
  <!-- SpecCitation: Rec="XSLT" Version="1.0" type="OASISptr1" place="id(convert)/ulist[1]/item[1]/p[1]/text()[4]" -->
  <!-- Scenario: operation="standard-XML" -->

<xsl:template match="doc">
  <out> <!-- Round from 1 to 2 -->
     <s><xsl:number format="1" value="1.03"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="01" value="1.13"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="A" value="1.23"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="a" value="1.33"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="I" value="1.43"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="i" value="1.50"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="1" value="1.53"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="01" value="1.63"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="A" value="1.73"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="a" value="1.83"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="I" value="1.93"/></s><xsl:text>&#10;</xsl:text>
	 <xsl:text>&#10;</xsl:text>
		<!-- Round from single digit number to two digit number -->

     <s><xsl:number format="1" value="9.03"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="01" value="9.13"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="A" value="9.23"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="a" value="9.33"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="I" value="9.43"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="i" value="9.50"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="1" value="9.53"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="01" value="9.63"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="A" value="9.73"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="a" value="9.83"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="I" value="9.93"/></s><xsl:text>&#10;</xsl:text>
	 <xsl:text>&#10;</xsl:text>
	 
	 	<!-- Round from double digit number to three digit number -->

     <s><xsl:number format="1" value="99.03"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="01" value="99.13"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="A" value="99.23"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="a" value="99.33"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="I" value="99.43"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="i" value="99.50"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="1" value="99.53"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="01" value="99.63"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="A" value="99.73"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="a" value="99.83"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="I" value="99.93"/></s><xsl:text>&#10;</xsl:text>
	 <xsl:text>&#10;</xsl:text>

		<!-- Check for double rounding -->

     <s><xsl:number format="01" value="2.459"/></s><xsl:text>&#10;</xsl:text>
     <s><xsl:number format="1" value="2.499999999"/></s><xsl:text>&#10;</xsl:text>

  </out>
</xsl:template>



</xsl:stylesheet>
